API ReferenceDevices
Register or refresh device token
Register a new FCM device token for push notifications or refresh an existing one.
Request Body
application/json
Request to register or refresh a device token for push notifications
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/devices" \ -H "Content-Type: application/json" \ -d '{ "fcm_token": "dGhpc19pc19hX2ZjbV90b2tlbl9leGFtcGxl", "platform": "ANDROID", "locale": "en-GB" }'Empty
{ "code": "BAD_REQUEST", "description": "Bad Request"}{ "code": "UNAUTHORISED", "description": "Unauthorised"}{ "code": "WAITING_LIST", "description": "User is in the waiting list"}{ "code": "TOO_MANY_REQUESTS", "description": "Too Many Requests"}{ "code": "INTERNAL_SERVER_ERROR", "description": "Internal Server Error"}